Package org.apache.uima.ruta.example.extensions

# Class ExampleNumberFunction

java.lang.Object
org.apache.uima.ruta.RutaElement
org.apache.uima.ruta.expression.RutaExpression
org.apache.uima.ruta.expression.string.AbstractStringExpression
org.apache.uima.ruta.expression.number.AbstractNumberExpression
org.apache.uima.ruta.expression.number.NumberFunctionExpression
org.apache.uima.ruta.example.extensions.ExampleNumberFunction

All Implemented Interfaces:
  `org.apache.uima.ruta.expression.IRutaExpression`, `org.apache.uima.ruta.expression.number.INumberExpression`, `org.apache.uima.ruta.expression.string.IStringExpression`

public class ExampleNumberFunction extends org.apache.uima.ruta.expression.number.NumberFunctionExpression

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExampleNumberFunction(org.apache.uima.ruta.expression.type.ITypeExpression expr)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getDoubleValue(org.apache.uima.ruta.rule.MatchContext context, org.apache.uima.ruta.RutaStream stream)`
  `org.apache.uima.ruta.expression.type.ITypeExpression`
  `getExpr()`
  `float`
  `getFloatValue(org.apache.uima.ruta.rule.MatchContext context, org.apache.uima.ruta.RutaStream stream)`
  `int`
  `getIntegerValue(org.apache.uima.ruta.rule.MatchContext context, org.apache.uima.ruta.RutaStream stream)`
  `String`
  `getStringValue(org.apache.uima.ruta.rule.MatchContext context, org.apache.uima.ruta.RutaStream stream)`

  ### Methods inherited from class org.apache.uima.ruta.expression.number.AbstractNumberExpression

  `calculate, calculate, calculate`

  ### Methods inherited from class org.apache.uima.ruta.expression.RutaExpression

  `getTargetAnnotation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExampleNumberFunction

    public ExampleNumberFunction(org.apache.uima.ruta.expression.type.ITypeExpression expr)

- ## Method Details

  - ### getExpr

    public org.apache.uima.ruta.expression.type.ITypeExpression getExpr()

  - ### getStringValue

    public String getStringValue(org.apache.uima.ruta.rule.MatchContext context, org.apache.uima.ruta.RutaStream stream)

  - ### getIntegerValue

    public int getIntegerValue(org.apache.uima.ruta.rule.MatchContext context, org.apache.uima.ruta.RutaStream stream)

  - ### getDoubleValue

    public double getDoubleValue(org.apache.uima.ruta.rule.MatchContext context, org.apache.uima.ruta.RutaStream stream)

  - ### getFloatValue

    public float getFloatValue(org.apache.uima.ruta.rule.MatchContext context, org.apache.uima.ruta.RutaStream stream)